MindWrtParserInternal::Field Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MindWrtParserInternal::Field Struct Reference

Internal: a field of a MindWrtParser. More...

## Public Member Functions
| Field (MWAWField::Type type=MWAWField::None)
| constructor More...
bool | ok () const
| return true is the field is defined More...
MWAWField | getField () const

## Public Attributes
MWAWField::Type | m_type
| the field type More...
MWAWVec2i | m_pos
| the field position: x position in point, y position in line (-1: means no field ) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Detailed Description

Internal: a field of a MindWrtParser.

## Constructor & Destructor Documentation

## ◆ Field()

MindWrtParserInternal::Field::Field | ( | MWAWField::Type | type = `MWAWField::None` | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getField()

MWAWField MindWrtParserInternal::Field::getField | ( |  | ) | const
| inline

## ◆ ok()

bool MindWrtParserInternal::Field::ok | ( |  | ) | const
| inline

return true is the field is defined

Referenced by MindWrtParser::readHeadingFields().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string MindWrtParserInternal::Field::m_extra

extra data

Referenced by MindWrtParser::readHeadingFields().

## ◆ m_pos

MWAWVec2i MindWrtParserInternal::Field::m_pos

the field position: x position in point, y position in line (-1: means no field )

Referenced by ok(), and MindWrtParser::readHeadingFields().

## ◆ m_type

MWAWField::Type MindWrtParserInternal::Field::m_type

the field type

Referenced by getField(), and ok().

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx